package com.onap.configdb.db.domain;

import java.io.Serializable;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.ElementCollection;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
@Entity
@Table(name="RRMPOLICY")
public class RRMPolicy implements Serializable{
	private static final long serialVersionUID = 1L;
	@Id
	@Column(name="RRMPOLICYID")
	private Integer rrmPolicyID;
	@Column(name="RESOURCEID")
	private String resourceID;
	@Column(name="RESOURCETYPE")
	private String resourceType;
	@Column(name="SLICETYPE")
	private String sliceType;
	@OneToMany(mappedBy = "rrmPolicy", cascade=CascadeType.ALL)
	private List<RRMPolicyMember> rRMPolicyMemberList;
	@Column(name="QUOTATYPE")
	private String quotaType;
	@Column(name="RRMPOLICYMAXRATION")
	private Integer rRMPolicyMaxRatio;
	@Column(name="RRMPOLICYMARGINAXRATION")
	private Integer rRMPolicyMarginMaxRatio;
	@Column(name="RRMPOLICYMINRATION")
	private Integer rRMPolicyMinRatio;
	@Column(name="RRMPOLICYMARGINMINRATION")
	private Integer rRMPolicyMarginMinRatio;
	public Integer getRrmPolicyID() {
		return rrmPolicyID;
	}
	public void setRrmPolicyID(Integer rrmPolicyID) {
		this.rrmPolicyID = rrmPolicyID;
	}
	public String getResourceID() {
		return resourceID;
	}
	public void setResourceID(String resourceID) {
		this.resourceID = resourceID;
	}
	public String getResourceType() {
		return resourceType;
	}
	public void setResourceType(String resourceType) {
		this.resourceType = resourceType;
	}
	public String getSliceType() {
		return sliceType;
	}
	public void setSliceType(String sliceType) {
		this.sliceType = sliceType;
	}
	public List<RRMPolicyMember> getrRMPolicyMemberList() {
		return rRMPolicyMemberList;
	}
	public void setrRMPolicyMemberList(List<RRMPolicyMember> rRMPolicyMemberList) {
		this.rRMPolicyMemberList = rRMPolicyMemberList;
	}
	public String getQuotaType() {
		return quotaType;
	}
	public void setQuotaType(String quotaType) {
		this.quotaType = quotaType;
	}
	public Integer getrRMPolicyMaxRatio() {
		return rRMPolicyMaxRatio;
	}
	public void setrRMPolicyMaxRatio(Integer rRMPolicyMaxRatio) {
		this.rRMPolicyMaxRatio = rRMPolicyMaxRatio;
	}
	public Integer getrRMPolicyMarginMaxRatio() {
		return rRMPolicyMarginMaxRatio;
	}
	public void setrRMPolicyMarginMaxRatio(Integer rRMPolicyMarginMaxRatio) {
		this.rRMPolicyMarginMaxRatio = rRMPolicyMarginMaxRatio;
	}
	public Integer getrRMPolicyMinRatio() {
		return rRMPolicyMinRatio;
	}
	public void setrRMPolicyMinRatio(Integer rRMPolicyMinRatio) {
		this.rRMPolicyMinRatio = rRMPolicyMinRatio;
	}
	public Integer getrRMPolicyMarginMinRatio() {
		return rRMPolicyMarginMinRatio;
	}
	public void setrRMPolicyMarginMinRatio(Integer rRMPolicyMarginMinRatio) {
		this.rRMPolicyMarginMinRatio = rRMPolicyMarginMinRatio;
	}
	@Override
	public String toString() {
		return "RRMPolicy [rrmPolicyID=" + rrmPolicyID + ", resourceID=" + resourceID + ", resourceType=" + resourceType
				+ ", sliceType=" + sliceType + ", rRMPolicyMemberList=" + rRMPolicyMemberList + ", quotaType="
				+ quotaType + ", rRMPolicyMaxRatio=" + rRMPolicyMaxRatio + ", rRMPolicyMarginMaxRatio="
				+ rRMPolicyMarginMaxRatio + ", rRMPolicyMinRatio=" + rRMPolicyMinRatio + ", rRMPolicyMarginMinRatio="
				+ rRMPolicyMarginMinRatio + "]";
	}
	
}
